Bug 470769 (CVE-2008-5025) - CVE-2008-5025 kernel: hfs: fix namelength memory corruption
Summary: CVE-2008-5025 kernel: hfs: fix namelength memory corruption
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5025
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 469652 (view as bug list)
Depends On: 470770 470771 470772 470773
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-10 05:52 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-24 00:32:44 UTC


Attachments (Terms of Use)
Proposed upstream patch (1.28 KB, patch)
2008-11-10 05:54 UTC, Eugene Teo (Security Response)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0014 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-01-14 18:05:34 UTC
Red Hat Product Errata RHSA-2009:0264 normal SHIPPED_LIVE Important: kernel security update 2009-02-10 15:51:56 UTC

Description Eugene Teo (Security Response) 2008-11-10 05:52:44 UTC
From: Eric Sesterhenn: Fix a stack corruption caused by a corrupted hfs filesystem.  If the catalog name length is corrupted the memcpy overwrites the catalog btree structure.  Since the field is limited to HFS_NAMELEN bytes in the
structure and the file format, we throw an error if it is too long.

Comment 2 Eugene Teo (Security Response) 2008-11-10 05:54:22 UTC
Created attachment 323040 [details]
Proposed upstream patch

Comment 6 Eugene Teo (Security Response) 2008-11-13 10:13:18 UTC
*** Bug 469652 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2009-01-07 09:17:53 UTC
kernel-2.6.26.8-57.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Vincent Danen 2010-12-24 00:32:44 UTC
This was addressed via:

Red Hat Enterprise Linux version 4 (RHSA-2009:0014)
Red Hat Enterprise Linux version 5 (RHSA-2009:0264)


Note You need to log in before you can comment on or make changes to this bug.